Is my GPY Bricked??



  • @stevo52 said in Is my GPY Bricked??:

    Is it not possible to re-flash with the same version of firmware?

    You can re-flash any firmware version. The bootloader doing that does not know what it is loading.

    And is it possible to download the firmware files for manual installation - the utility allows it but where do I get the files from?

    Older versions are available here as tar packages: https://software.pycom.io/downloads/GPy.html. The most recent versions are not. There was an indication that Pycom will change that.

    Besides that, either your GPY/expansion combo has a hardware problem, or the flash content is somewhat disarranged. In the latter case a full erase with esptool.py and re-flash will help.



  • @paul-thornton 'Interesting' is not the word I was using at the time. It has happened again since but I can't replicate the issue by design.

    A few other odd things are happening with this particular GPY so it would be useful to re-flash the firmware, but the Update Tool won't allow that to happen. Is it not possible to re-flash with the same version of firmware? And is it possible to download the firmware files for manual installation - the utility allows it but where do I get the files from?

    The responses to trying to update the firmware are as per the original message. The 'flash read err' message shows up AFTER I have tried to do an update.


  • Global Moderator

    Ill point this out to the team and have them take a read of this thread Thats an intresting.. Issue.


 

Pycom on Twitter